## -i | -ic | is | ics: Name of the Input Script

### Use

You specify the name of the input script that contains the DBM commands you want to execute.

You select the appropriate option to specify whether the script processing should be cancelled or continued if an error occurs, or whether the Database Manager should remain in the session mode after the script is processed.

See also:

Database Administration Tutorial, Using a Script File

### Syntax

-i <file_name> | -ic <file_name> | -is <file_name> | -ics <file_name>

Options

Option | Description
-i <file_name> | Path and name of the input script, script processing is cancelled if an error occurs.
-ic <file_name> | Path and name of the input script, script processing is continued if an error occurs.
-is <file_name> | Path and name of the input script, after the script is successfully processed, the Database Manager remains in session mode; if an error occurs, script processing and the session mode are cancelled
-ics <file_name> | Path and name of the input script, the Database Manager remains in session mode after successfully processing the script and also if an error occurs

### Example

Call the Database Manager CLI, log on as operator OLEG with password MONDAY, connect to the database instance DEMODB, execute the DBM commands in the input script input.dbm in the directory C:\test\scripts:

>dbmcli -u OLEG,MONDAY –d DEMODB –i C:\test\scripts\input.dbm

OK

<reply_to_first_DBM_command_in_script>

OK

<reply_to_second_DBM_command_in_script>

...